FUNCTION Create%BaseName%()
	LOCAL aStruct AS ARRAY
	LOCAL lAutoOpen AS USUAL
	LOCAL cBaseName AS STRING
	LOCAL lSuccess AS LOGIC

	%Fields%

	// Prevent any production index being opened automatically
	// this will let us delete it (works with DBFCDX, not ADBFCDX)
	lAutoOpen := RDDINFO(_SET_AUTOOPEN,FALSE)
	
	aStruct := %Structure%

	cBaseName := "%BaseName%"

	IF ( lSuccess := DBCREATE(cBaseName,aStruct,"%Driver%",,,,,%RDDInherit%) )

		IF ( lSuccess := DBUSEAREA(.T.,"%Driver%",cBaseName,__UniqueAlias(cBaseName),FALSE,,,) )

			// Note: if you have indexes of other names you may
			// want to put the deletion code here
			%EraseProductionIndex%
			lSuccess := iif(lSuccess,%CreateOrder%,lSuccess)
			DBCLOSEAREA()

		ENDIF

	ENDIF

	RDDINFO(_SET_AUTOOPEN,lAutoOpen)

	RETURN lSuccess
